//import org.trinitydesktop.qt.TQApplication;
//import org.trinitydesktop.qt.TQDir;
import org.trinitydesktop.qt.*;

public class DirTest {	
	public static void main(String[] args)
	{
		TQApplication myapp = new TQApplication(args);
		
		TQDir mydir = new TQDir("/tmp");
		if ( mydir.match(new String [] {"*.bmp", "*.h"}, "foobar.bmp") ) {
			System.out.println("foobar matches");
		}
		
		if ( ! mydir.match(new String[] {"*.bmp", "*.h"}, "baz.cpp") ) {
			System.out.println("baz doesn't match");
		}

		TQFile myobj = new TQFile();
		Object mytest;
		System.out.println("myobj: " + myobj.toString());
		mytest = (TQDir) Qt.dynamicCast("TQDir", myobj);
		System.out.println("mytest: " + mytest.toString());
		return;
	}
	
	static {
		qtjava.initialize();
	}
}
